# spec file for libfakekey
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           libfakekey
%define _name   libfakekey0
Version:        0.1
Release:        lp150.1.2
Summary:        Library for converting characters to X key-presses
Group:          System/GUI/Other
License:        LGPL-2.1+
Url:            http://projects.o-hand.com/matchbox/
Source0:        http://downloads.yoctoproject.org/releases/matchbox/libfakekey/0.1/%{name}-%{version}.tar.bz2

# PATCH-FIX-OPENSUSE 0001-add-return.patch nmo.marques@gmail.com
# add missing return
Patch0:         0001-add-return.patch

BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xtst)

%description
libfakekey is a simple library for converting UTF-8 characters into
'fake' X key-presses.

%package -n %{_name}
Summary:        Library for converting characters to X key-presses
Group:          System/Libraries

%description -n %{_name}
libfakekey is a simple library for converting UTF-8 characters into
'fake' X key-presses.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{_name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags} AM_LDFLAGS=-lX11

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libfakekey.la

%post -n %{_name} -p /sbin/ldconfig

%postun -n %{_name} -p /sbin/ldconfig

%files -n %{_name}
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libfakekey.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/fakekey/
%{_libdir}/libfakekey.so
%{_libdir}/pkgconfig/libfakekey.pc

%changelog
* Fri Sep 20 2013 johann.luce@wanadoo.fr
- Fix System/Libraries group for lib
* Wed Sep 18 2013 p.drouand@gmail.com
- Fix source URL for real one
* Sat Dec  1 2012 nmo.marques@gmail.com
- initial package based on fedora package
